corda / net.corda.contracts

## Package net.corda.contracts

### Types

CommercialPaper | `class CommercialPaper : Contract`
CommercialPaperLegacy | `class CommercialPaperLegacy : Contract`

### Properties

CP_LEGACY_PROGRAM_ID | `val CP_LEGACY_PROGRAM_ID: CommercialPaperLegacy` Legacy version of CommercialPaper that includes the full verification logic itself, rather than breaking it into clauses. This is here just as an example for the contract tutorial.
CP_PROGRAM_ID | `val CP_PROGRAM_ID: CommercialPaper` This is an ultra-trivial implementation of commercial paper, which is essentially a simpler version of a corporate bond. It can be seen as a company-specific currency. A company issues CP with a particular face value, say $100, but sells it for less, say $90. The paper can be redeemed for cash at a given date in the future. Thus this example would have a 10% interest rate with a single repayment. Commercial paper is often rolled over (the maturity date is adjusted as if the paper was redeemed and immediately repurchased, but without having to front the cash).

### Functions

owned by | `infix fun State.owned by(owner: CompositeKey): State` `infix fun ICommercialPaperState.owned by(newOwner: CompositeKey): ICommercialPaperState`
with notary | `infix fun State.with notary(notary: Party): TransactionState<State>`